com.fasterxml.jackson.dataformat.ion

## Class IonTimestampSerializers.IonTimestampSQLDateSerializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonSerializer<T>
  - - com.fasterxml.jackson.databind.ser.std.StdSerializer<T>
    - - com.fasterxml.jackson.databind.ser.std.StdScalarSerializer<Date>
      - - com.fasterxml.jackson.dataformat.ion.IonTimestampSerializers.IonTimestampSQLDateSerializer

- All Implemented Interfaces:
    com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable, com.fasterxml.jackson.databind.jsonschema.SchemaAware, Serializable
  Enclosing class:
    IonTimestampSerializers

      public static class IonTimestampSerializers.IonTimestampSQLDateSerializer
      extends com.fasterxml.jackson.databind.ser.std.StdScalarSerializer<Date>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

      `com.fasterxml.jackson.databind.JsonSerializer.None`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

      `_handledType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IonTimestampSerializers.IonTimestampSQLDateSerializer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `serialize(Date date, com.fasterxml.jackson.core.JsonGenerator jsonGenerator, com.fasterxml.jackson.databind.SerializerProvider serializerProvider)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdScalarSerializer

      `acceptJsonFormatVisitor, getSchema, serializeWithType`

    - ### Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

      `_neitherNull, _nonEmpty, createSchemaNode, createSchemaNode, findAnnotatedContentSerializer, findContextualConvertingSerializer, findConvertingContentSerializer, findFormatFeature, findFormatOverrides, findIncludeOverrides, findPropertyFilter, getSchema, handledType, isDefaultSerializer, visitArrayFormat, visitArrayFormat, visitFloatFormat, visitIntFormat, visitIntFormat, visitStringFormat, visitStringFormat, wrapAndThrow, wrapAndThrow`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

      `getDelegatee, isEmpty, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, unwrappingSerializer, usesObjectId, withFilterId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IonTimestampSerializers.IonTimestampSQLDateSerializer

          public IonTimestampSerializers.IonTimestampSQLDateSerializer()

  - ### Method Detail

    - #### serialize

          public void serialize(Date date,
                       com.fasterxml.jackson.core.JsonGenerator jsonGenerator,
                       com.fasterxml.jackson.databind.SerializerProvider serializerProvider)
                         throws IOException

      Specified by:
        `serialize` in class `com.fasterxml.jackson.databind.ser.std.StdSerializer<Date>`
      Throws:
        `IOException`

Copyright © 2017 FasterXML. All rights reserved.